extends Node2D
class_name DragonSprite


@export var hat: Sprite2D
@export var shirt: Sprite2D
@export var decor: Sprite2D
@export var color: Sprite2D

@export var hat_outfits: DragonOutfit
@export var shirt_outfits: DragonOutfit
@export var decor_outfits: DragonOutfit
@export var color_outfits: DragonOutfit


func dress(properties: DragonProperties):
	self.hat.texture = hat_outfits.get_texture(properties.hat)
	self.shirt.texture = shirt_outfits.get_texture(properties.shirt)
	self.decor.texture = decor_outfits.get_texture(properties.decor)
	self.color.texture = color_outfits.get_texture(properties.color)


func walk_left():
	$Sprite.scale.x = 1
	$DragonBody.scale.x = 1


func walk_right():
	$Sprite.scale.x = -1
	$DragonBody.scale.x = -1
